[![PyPI version](https://badge.fury.io/py/metobs-toolkit.svg)](https://badge.fury.io/py/metobs-toolkit)
[![status](https://joss.theoj.org/papers/ffa3a79315bdf4c4793992a1de41193d/status.svg)](https://joss.theoj.org/papers/ffa3a79315bdf4c4793992a1de41193d)
# MetObs-toolkit
The MetObs-Toolkit provides a comprehensive framework for scientists to process raw meteorological data for analysis.
This repo contains all the software for the [metobs_toolkit](https://test.pypi.org/project/metobs-toolkit/).

## Documentation
Documentation can be found [here](https://vergauwenthomas.github.io/MetObs_toolkit/).

## Exercises and demos
In the context of a [FAIRNESS (COST action)](https://www.fairness-ca20108.eu/) summer school, a set of well-documented exercises and demos are made. 

| Notebook  | Description  |       |
|:----------|:-------------|------:|
| [Introduction](https://github.com/vergauwenthomas/MetObs_toolkit/blob/master/examples/Introduction_01.ipynb) | Introduction to the toolkit | [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/vergauwenthomas/MetObs_toolkit/blob/master/examples/Introduction_01.ipynb) |
| [Quality control](https://github.com/vergauwenthomas/MetObs_toolkit/blob/master/examples/Quality_control_excercise_02.ipynb) | Introduction to quality control methods | [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/vergauwenthomas/MetObs_toolkit/blob/master/examples/Quality_control_excercise_02.ipynb)|
| [Filling gaps](https://github.com/vergauwenthomas/MetObs_toolkit/blob/master/examples/Gap_filling_excercise_03.ipynb) | Introduction to gap filling methods | [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/vergauwenthomas/MetObs_toolkit/blob/master/examples/Gap_filling_excercise_03.ipynb)|
| [Analysis](https://github.com/vergauwenthomas/MetObs_toolkit/blob/master/examples/Urban_analysis_excercise_04.ipynb) | Introduction analysis methods | [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/vergauwenthomas/MetObs_toolkit/blob/master/examples/Urban_analysis_excercise_04.ipynb)|



## Installing the package
Install the package by:

`pip install git+https://github.com/vergauwenthomas/MetObs_toolkit.git`

## Related
* A graphical user interface for the MetObs-Toolkit: [MetObs_GUI](https://github.com/vergauwenthomas/MetObs_GUI)
